Index: cksum/print.c
===================================================================
RCS file: /cvs/src/usr.bin/cksum/print.c,v
retrieving revision 1.3
diff -u -u -r1.3 print.c
--- cksum/print.c	2 Oct 2003 17:42:26 -0000	1.3
+++ cksum/print.c	7 Nov 2004 20:02:14 -0000
@@ -42,26 +42,26 @@
 void
 pcrc(char *fn, u_int32_t val, u_int32_t len)
 {
-	(void)printf("%lu %lu", (u_long) val, (u_long) len);
+	printf("%lu %lu", (u_long) val, (u_long) len);
 	if (fn)
-		(void)printf(" %s", fn);
-	(void)printf("\n");
+		printf(" %s", fn);
+	printf("\n");
 }
 
 void
 psum1(char *fn, u_int32_t val, u_int32_t len)
 {
-	(void)printf("%lu %lu", (u_long) val, (u_long) (len + 1023) / 1024);
+	printf("%lu %lu", (u_long) val, (u_long) (len + 1023) / 1024);
 	if (fn)
-		(void)printf(" %s", fn);
-	(void)printf("\n");
+		printf(" %s", fn);
+	printf("\n");
 }
 
 void
 psum2(char *fn, u_int32_t val, u_int32_t len)
 {
-	(void)printf("%lu %lu", (u_long) val, (u_long) (len + 511) / 512);
+	printf("%lu %lu", (u_long) val, (u_long) (len + 511) / 512);
 	if (fn)
-		(void)printf(" %s", fn);
-	(void)printf("\n");
+		printf(" %s", fn);
+	printf("\n");
 }
Index: cmp/cmp.c
===================================================================
RCS file: /cvs/src/usr.bin/cmp/cmp.c,v
retrieving revision 1.3
diff -u -u -r1.3 cmp.c
--- cmp/cmp.c	2 Oct 2003 17:42:27 -0000	1.3
+++ cmp/cmp.c	7 Nov 2004 20:02:14 -0000
@@ -151,7 +151,7 @@
 	else {
 		if (zflag && sb1.st_size != sb2.st_size) {
 			if (!sflag)
-				(void) printf("%s %s differ: size\n",
+				printf("%s %s differ: size\n",
 				    file1, file2);
 			exit(DIFF_EXIT);
 		}
@@ -165,7 +165,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: cmp [-l | -s | -x] [-z] file1 file2 [skip1 [skip2]]\n");
 	exit(ERR_EXIT);
 }
Index: cmp/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/cmp/misc.c,v
retrieving revision 1.3
diff -u -u -r1.3 misc.c
--- cmp/misc.c	2 Oct 2003 17:42:27 -0000	1.3
+++ cmp/misc.c	7 Nov 2004 20:02:14 -0000
@@ -56,7 +56,7 @@
 diffmsg(const char *file1, const char *file2, off_t byte, off_t line)
 {
 	if (!sflag)
-		(void)printf("%s %s differ: char %qd, line %qd\n",
+		printf("%s %s differ: char %qd, line %qd\n",
 		    file1, file2, byte, line);
 	exit(DIFF_EXIT);
 }
Index: cmp/regular.c
===================================================================
RCS file: /cvs/src/usr.bin/cmp/regular.c,v
retrieving revision 1.4
diff -u -u -r1.4 regular.c
--- cmp/regular.c	3 Nov 2003 19:31:28 -0000	1.4
+++ cmp/regular.c	7 Nov 2004 20:02:14 -0000
@@ -102,10 +102,10 @@
 		if ((ch = *p1) != *p2) {
 			if (xflag) {
 				dfound = 1;
-				(void)printf("%08qx %02x %02x\n", byte - 1, ch, *p2);
+				printf("%08qx %02x %02x\n", byte - 1, ch, *p2);
 			} else if (lflag) {
 				dfound = 1;
-				(void)printf("%6qd %3o %3o\n", byte, ch, *p2);
+				printf("%6qd %3o %3o\n", byte, ch, *p2);
 			} else
 				diffmsg(file1, file2, byte, line);
 				/* NOTREACHED */
Index: cmp/special.c
===================================================================
RCS file: /cvs/src/usr.bin/cmp/special.c,v
retrieving revision 1.3
diff -u -u -r1.3 special.c
--- cmp/special.c	2 Oct 2003 17:42:27 -0000	1.3
+++ cmp/special.c	7 Nov 2004 20:02:14 -0000
@@ -75,7 +75,7 @@
 		if (ch1 != ch2) {
 			if (lflag) {
 				dfound = 1;
-				(void)printf("%6qd %3o %3o\n", byte, ch1, ch2);
+				printf("%6qd %3o %3o\n", byte, ch1, ch2);
 			} else {
 				diffmsg(file1, file2, byte, line);
 				/* NOTREACHED */
Index: col/col.c
===================================================================
RCS file: /cvs/src/usr.bin/col/col.c,v
retrieving revision 1.4
diff -u -u -r1.4 col.c
--- col/col.c	3 Nov 2003 19:31:28 -0000	1.4
+++ col/col.c	7 Nov 2004 20:02:14 -0000
@@ -123,7 +123,7 @@
 	int nflushd_lines;		/* number of lines that were flushed */
 	int adjust, opt, warned;
 
-	(void)setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	max_bufd_lines = 128;
 	compress_spaces = 1;		/* compress spaces into tabs */
@@ -332,7 +332,7 @@
 		}
 		nblank_lines++;
 		if (l->l_line)
-			(void)free(l->l_line);
+			free(l->l_line);
 		free_line(l);
 	}
 	if (lines)
@@ -513,7 +513,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr, "usage: col [-bfhpx] [-l nline]\n");
+	fprintf(stderr, "usage: col [-bfhpx] [-l nline]\n");
 	exit(1);
 }
 
Index: colrm/colrm.c
===================================================================
RCS file: /cvs/src/usr.bin/colrm/colrm.c,v
retrieving revision 1.4
diff -u -u -r1.4 colrm.c
--- colrm/colrm.c	3 Nov 2003 19:31:29 -0000	1.4
+++ colrm/colrm.c	7 Nov 2004 20:02:14 -0000
@@ -127,7 +127,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: colrm [start [stop]]\n");
+	fprintf(stderr, "usage: colrm [start [stop]]\n");
 	exit(1);
 }
 
Index: column/column.c
===================================================================
RCS file: /cvs/src/usr.bin/column/column.c,v
retrieving revision 1.4
diff -u -u -r1.4 column.c
--- column/column.c	3 Nov 2003 19:31:29 -0000	1.4
+++ column/column.c	7 Nov 2004 20:02:14 -0000
@@ -106,7 +106,7 @@
 	else for (; *argv; ++argv)
 		if ((fp = fopen(*argv, "r"))) {
 			input(fp);
-			(void)fclose(fp);
+			fclose(fp);
 		} else {
 			warn("%s", *argv);
 			eval = 1;
@@ -145,7 +145,7 @@
 			putchar('\n');
 		} else {
 			while ((cnt = ((chcnt + TAB) & ~(TAB - 1))) <= endcol) {
-				(void)putchar('\t');
+				putchar('\t');
 				chcnt = cnt;
 			}
 			endcol += maxlength;
@@ -172,7 +172,7 @@
 			if ((base += numrows) >= entries)
 				break;
 			while ((cnt = ((chcnt + TAB) & ~(TAB - 1))) <= endcol) {
-				(void)putchar('\t');
+				putchar('\t');
 				chcnt = cnt;
 			}
 			endcol += maxlength;
@@ -188,7 +188,7 @@
 	char **lp;
 
 	for (cnt = entries, lp = list; cnt--; ++lp)
-		(void)printf("%s\n", *lp);
+		printf("%s\n", *lp);
 }
 
 typedef struct _tbl {
@@ -239,9 +239,9 @@
 	}
 	for (cnt = 0, t = tbl; cnt < entries; ++cnt, ++t) {
 		for (coloff = 0; coloff < t->cols  - 1; ++coloff)
-			(void)printf("%s%*s", t->list[coloff],
+			printf("%s%*s", t->list[coloff],
 			    lens[coloff] - t->len[coloff] + 2, " ");
-		(void)printf("%s\n", t->list[coloff]);
+		printf("%s\n", t->list[coloff]);
 	}
 }
 
@@ -286,7 +286,7 @@
 usage(void)
 {
 
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: column [-tx] [-c columns] [-s sep] [file ...]\n");
 	exit(1);
 }
Index: comm/comm.c
===================================================================
RCS file: /cvs/src/usr.bin/comm/comm.c,v
retrieving revision 1.3
diff -u -u -r1.3 comm.c
--- comm/comm.c	2 Oct 2003 17:42:27 -0000	1.3
+++ comm/comm.c	7 Nov 2004 20:02:14 -0000
@@ -70,7 +70,7 @@
 	flag1 = flag2 = flag3 = 1;
 	iflag = 0;
 
-	(void) setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	while ((ch = getopt(argc, argv, "123i")) != -1)
 		switch(ch) {
@@ -137,7 +137,7 @@
 		if (!comp) {
 			read1 = read2 = 1;
 			if (col3)
-				(void)printf("%s%s", col3, line1);
+				printf("%s%s", col3, line1);
 			continue;
 		}
 
@@ -146,12 +146,12 @@
 			read1 = 1;
 			read2 = 0;
 			if (col1)
-				(void)printf("%s%s", col1, line1);
+				printf("%s%s", col1, line1);
 		} else {
 			read1 = 0;
 			read2 = 1;
 			if (col2)
-				(void)printf("%s%s", col2, line2);
+				printf("%s%s", col2, line2);
 		}
 	}
 	exit(0);
@@ -162,7 +162,7 @@
 {
 
 	do {
-		(void)printf("%s%s", offset, buf);
+		printf("%s%s", offset, buf);
 	} while (fgets(buf, MAXLINELEN, fp));
 }
 
@@ -182,7 +182,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: comm [-123i] file1 file2\n");
+	fprintf(stderr, "usage: comm [-123i] file1 file2\n");
 	exit(1);
 }
 
Index: compress/compress.c
===================================================================
RCS file: /cvs/src/usr.bin/compress/compress.c,v
retrieving revision 1.4
diff -u -u -r1.4 compress.c
--- compress/compress.c	30 Aug 2004 18:06:49 -0000	1.4
+++ compress/compress.c	7 Nov 2004 20:02:14 -0000
@@ -113,10 +113,10 @@
 	if (argc == 0) {
 		switch(style) {
 		case COMPRESS:
-			(void)compress("/dev/stdin", "/dev/stdout", bits);
+			compress("/dev/stdin", "/dev/stdout", bits);
 			break;
 		case DECOMPRESS:
-			(void)decompress("/dev/stdin", "/dev/stdout", bits);
+			decompress("/dev/stdin", "/dev/stdout", bits);
 			break;
 		}
 		exit (eval);
@@ -241,7 +241,7 @@
 
 		if (!force && sb.st_size >= isb.st_size) {
 			if (verbose)
-		(void)fprintf(stderr, "%s: file would grow; left unmodified\n",
+		fprintf(stderr, "%s: file would grow; left unmodified\n",
 		    in);
 			eval = 2;
 			if (unlink(out))
@@ -255,12 +255,12 @@
 			cwarn("%s", in);
 
 		if (verbose) {
-			(void)fprintf(stderr, "%s: ", out);
+			fprintf(stderr, "%s: ", out);
 			if (isb.st_size > sb.st_size)
-				(void)fprintf(stderr, "%.0f%% compression\n",
+				fprintf(stderr, "%.0f%% compression\n",
 				    ((float)sb.st_size / isb.st_size) * 100.0);
 			else
-				(void)fprintf(stderr, "%.0f%% expansion\n",
+				fprintf(stderr, "%.0f%% expansion\n",
 				    ((float)isb.st_size / sb.st_size) * 100.0);
 		}
 	}
@@ -268,11 +268,11 @@
 
 err:	if (ofp) {
 		if (oreg)
-			(void)unlink(out);
-		(void)fclose(ofp);
+			unlink(out);
+		fclose(ofp);
 	}
 	if (ifp)
-		(void)fclose(ifp);
+		fclose(ifp);
 }
 
 void
@@ -333,11 +333,11 @@
 
 err:	if (ofp) {
 		if (oreg)
-			(void)unlink(out);
-		(void)fclose(ofp);
+			unlink(out);
+		fclose(ofp);
 	}
 	if (ifp)
-		(void)fclose(ifp);
+		fclose(ifp);
 }
 
 void
@@ -377,7 +377,7 @@
 
 	if (!isatty(fileno(stderr)))
 		return (0);
-	(void)fprintf(stderr, "overwrite %s? ", fname);
+	fprintf(stderr, "overwrite %s? ", fname);
 	first = ch = getchar();
 	while (ch != '\n' && ch != EOF)
 		ch = getchar();
@@ -388,10 +388,10 @@
 usage(int iscompress)
 {
 	if (iscompress)
-		(void)fprintf(stderr,
+		fprintf(stderr,
 		    "usage: compress [-cfv] [-b bits] [file ...]\n");
 	else
-		(void)fprintf(stderr,
+		fprintf(stderr,
 		    "usage: uncompress [-c] [-b bits] [file ...]\n");
 	exit(1);
 }
Index: compress/zopen.c
===================================================================
RCS file: /cvs/src/usr.bin/compress/zopen.c,v
retrieving revision 1.3
diff -u -u -r1.3 zopen.c
--- compress/zopen.c	2 Oct 2003 17:42:27 -0000	1.3
+++ compress/zopen.c	7 Nov 2004 20:02:14 -0000
@@ -329,13 +329,13 @@
 	zs = cookie;
 	if (zmode == 'w') {		/* Put out the final code. */
 		if (output(zs, (code_int) ent) == -1) {
-			(void)fclose(fp);
+			fclose(fp);
 			free(zs);
 			return (-1);
 		}
 		out_count++;
 		if (output(zs, (code_int) - 1) == -1) {
-			(void)fclose(fp);
+			fclose(fp);
 			free(zs);
 			return (-1);
 		}
Index: ctags/C.c
===================================================================
RCS file: /cvs/src/usr.bin/ctags/C.c,v
retrieving revision 1.2
diff -u -u -r1.2 C.c
--- ctags/C.c	17 Jun 2003 04:29:25 -0000	1.2
+++ ctags/C.c	7 Nov 2004 20:02:14 -0000
@@ -109,7 +109,7 @@
 		 */
 		case '"':
 		case '\'':
-			(void)skip_string(c);
+			skip_string(c);
 			break;
 
 		/*
@@ -122,7 +122,7 @@
 				skip_comment(c);
 				continue;
 			}
-			(void)ungetc(c, inf);
+			ungetc(c, inf);
 			c = '/';
 			goto storec;
 
@@ -200,7 +200,7 @@
 					;
 				if (c == EOF)
 					return;
-				(void)ungetc(c, inf);
+				ungetc(c, inf);
 				c = save;
 			}
 	storec:		if (!intoken(c)) {
@@ -304,12 +304,12 @@
 		if (c == '/' && (GETC(==, '*') || c == '/'))
 			skip_comment(c);
 		else {				/* don't ever "read" '/' */
-			(void)ungetc(c, inf);
+			ungetc(c, inf);
 			return (NO);
 		}
 	}
 	if (c != '{')
-		(void)skip_key('{');
+		skip_key('{');
 	return (YES);
 }
 
@@ -328,7 +328,7 @@
 	/* ignore leading whitespace */
 	while (GETC(!=, EOF) && (c == ' ' || c == '\t'))
 		;
-	(void)ungetc(c, inf);
+	ungetc(c, inf);
 
 	curline = lineno;
 	for (sp = tok;;) {		/* get next token */
@@ -376,7 +376,7 @@
 		if (*(sp - 1) != '\\')
 			return;
 	}
-	(void)skip_key('\n');
+	skip_key('\n');
 }
 
 /*
@@ -419,7 +419,7 @@
 				if (!iswhite(c))
 					break;
 			if (c != '{') {
-				(void)ungetc(c, inf);
+				ungetc(c, inf);
 				return (NO);
 			}
 	}
@@ -515,7 +515,7 @@
 				skip_comment(c);
 				break;
 			}
-			(void)ungetc(c, inf);
+			ungetc(c, inf);
 			c = '/';
 			goto norm;
 		case '\n':
Index: ctags/ctags.c
===================================================================
RCS file: /cvs/src/usr.bin/ctags/ctags.c,v
retrieving revision 1.4
diff -u -u -r1.4 ctags.c
--- ctags/ctags.c	3 Nov 2003 19:31:29 -0000	1.4
+++ ctags/ctags.c	7 Nov 2004 20:02:14 -0000
@@ -136,7 +136,7 @@
 		else {
 			curfile = argv[step];
 			find_entries(argv[step]);
-			(void)fclose(inf);
+			fclose(inf);
 		}
 
 	if (head) {
@@ -145,7 +145,7 @@
 		else {
 			if (uflag) {
 				for (step = 0; step < argc; step++) {
-					(void)sprintf(cmd,
+					sprintf(cmd,
 						"mv %s OTAGS; fgrep -v '\t%s\t' OTAGS >%s; rm OTAGS",
 							outfile, argv[step],
 							outfile);
@@ -156,9 +156,9 @@
 			if (!(outf = fopen(outfile, aflag ? "a" : "w")))
 				err(exit_val, "%s", outfile);
 			put_entries(head);
-			(void)fclose(outf);
+			fclose(outf);
 			if (uflag) {
-				(void)sprintf(cmd, "sort -o %s %s",
+				sprintf(cmd, "sort -o %s %s",
 						outfile, outfile);
 				system(cmd);
 			}
@@ -170,7 +170,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: ctags [-BFadtuwvx] [-f tagsfile] file ...\n");
+	fprintf(stderr, "usage: ctags [-BFadtuwvx] [-f tagsfile] file ...\n");
 	exit(1);
 }
 
@@ -245,7 +245,7 @@
 				 * for C references.  This may be wrong.
 				 */
 				toss_yysec();
-				(void)strcpy(lbuf, "%%$");
+				strcpy(lbuf, "%%$");
 				pfnote("yylex", lineno);
 				rewind(inf);
 			}
@@ -256,7 +256,7 @@
 			 * for C references.  This may be wrong.
 			 */
 			toss_yysec();
-			(void)strcpy(lbuf, "%%$");
+			strcpy(lbuf, "%%$");
 			pfnote("yyparse", lineno);
 			y_entries();
 		}
Index: ctags/fortran.c
===================================================================
RCS file: /cvs/src/usr.bin/ctags/fortran.c,v
retrieving revision 1.3
diff -u -u -r1.3 fortran.c
--- ctags/fortran.c	2 Oct 2003 17:42:27 -0000	1.3
+++ ctags/fortran.c	7 Nov 2004 20:02:14 -0000
@@ -122,7 +122,7 @@
 		if ((cp = lbp + 1))
 			continue;
 		*cp = EOS;
-		(void)strlcpy(tok, lbp, sizeof(tok));	/* possible trunc */
+		strlcpy(tok, lbp, sizeof(tok));	/* possible trunc */
 		getline();			/* process line for ex(1) */
 		pfnote(tok, lineno);
 		pfcnt = YES;
Index: ctags/lisp.c
===================================================================
RCS file: /cvs/src/usr.bin/ctags/lisp.c,v
retrieving revision 1.2
diff -u -u -r1.2 lisp.c
--- ctags/lisp.c	17 Jun 2003 04:29:25 -0000	1.2
+++ ctags/lisp.c	7 Nov 2004 20:02:14 -0000
@@ -96,7 +96,7 @@
 				continue;
 		savedc = *cp;
 		*cp = EOS;
-		(void)strlcpy(tok, lbp, sizeof(tok));	/* possible trunc */
+		strlcpy(tok, lbp, sizeof(tok));	/* possible trunc */
 		*cp = savedc;
 		getline();
 		pfnote(tok, lineno);
Index: ctags/print.c
===================================================================
RCS file: /cvs/src/usr.bin/ctags/print.c,v
retrieving revision 1.2
diff -u -u -r1.2 print.c
--- ctags/print.c	17 Jun 2003 04:29:25 -0000	1.2
+++ ctags/print.c	7 Nov 2004 20:02:14 -0000
@@ -55,7 +55,7 @@
 	char	*cp;
 
 	saveftell = ftell(inf);
-	(void)fseek(inf, lineftell, L_SET);
+	fseek(inf, lineftell, L_SET);
 	if (xflag)
 		for (cp = lbuf; GETC(!=, EOF) && c != '\n'; *cp++ = c)
 			continue;
@@ -85,7 +85,7 @@
 			*cp++ = c;
 	}
 	*cp = EOS;
-	(void)fseek(inf, saveftell, L_SET);
+	fseek(inf, saveftell, L_SET);
 }
 
 /*
Index: ctags/tree.c
===================================================================
RCS file: /cvs/src/usr.bin/ctags/tree.c,v
retrieving revision 1.2
diff -u -u -r1.2 tree.c
--- ctags/tree.c	17 Jun 2003 04:29:25 -0000	1.2
+++ ctags/tree.c	7 Nov 2004 20:02:14 -0000
@@ -71,7 +71,7 @@
 			fp = curfile;
 		else
 			++fp;
-		(void)snprintf(nbuf, sizeof(nbuf), "M%s", fp);
+		snprintf(nbuf, sizeof(nbuf), "M%s", fp);
 		fp = strrchr(nbuf, '.');
 		if (fp && !fp[2])
 			*fp = EOS;
Index: ctags/yacc.c
===================================================================
RCS file: /cvs/src/usr.bin/ctags/yacc.c,v
retrieving revision 1.2
diff -u -u -r1.2 yacc.c
--- ctags/yacc.c	17 Jun 2003 04:29:25 -0000	1.2
+++ ctags/yacc.c	7 Nov 2004 20:02:14 -0000
@@ -77,13 +77,13 @@
 		case '%':
 			if (GETC(==, '%'))
 				return;
-			(void)ungetc(c, inf);
+			ungetc(c, inf);
 			break;
 		case '/':
 			if (GETC(==, '*') || c == '/')
 				skip_comment(c);
 			else
-				(void)ungetc(c, inf);
+				ungetc(c, inf);
 			break;
 		case '|':
 		case ';':
@@ -109,7 +109,7 @@
 				in_rule = YES;
 			}
 			else
-				(void)ungetc(c, inf);
+				ungetc(c, inf);
 		}
 }
 
Index: cut/cut.c
===================================================================
RCS file: /cvs/src/usr.bin/cut/cut.c,v
retrieving revision 1.3
diff -u -u -r1.3 cut.c
--- cut/cut.c	2 Oct 2003 17:42:27 -0000	1.3
+++ cut/cut.c	7 Nov 2004 20:02:14 -0000
@@ -114,7 +114,7 @@
 			if (!(fp = fopen(*argv, "r")))
 				err(1, "%s", *argv);
 			fcn(fp, *argv);
-			(void)fclose(fp);
+			fclose(fp);
 		}
 	else
 		fcn(stdin, "stdin");
@@ -198,16 +198,16 @@
 			if (ch == '\n')
 				break;
 			if (*pos++)
-				(void)putchar(ch);
+				putchar(ch);
 		}
 		if (ch != '\n') {
 			if (autostop)
 				while ((ch = getc(fp)) != EOF && ch != '\n')
-					(void)putchar(ch);
+					putchar(ch);
 			else
 				while ((ch = getc(fp)) != EOF && ch != '\n');
 		}
-		(void)putchar('\n');
+		putchar('\n');
 	}
 }
 
@@ -239,7 +239,7 @@
 				isdelim = 1;
 			if (ch == '\n') {
 				if (!isdelim && !sflag)
-					(void)fwrite(lbuf, lbuflen, 1, stdout);
+					fwrite(lbuf, lbuflen, 1, stdout);
 				break;
 			}
 		}
@@ -250,9 +250,9 @@
 		for (field = maxval, p = lbuf; field; --field, ++pos) {
 			if (*pos) {
 				if (output++)
-					(void)putchar(sep);
+					putchar(sep);
 				while ((ch = *p++) != '\n' && ch != sep)
-					(void)putchar(ch);
+					putchar(ch);
 			} else {
 				while ((ch = *p++) != '\n' && ch != sep)
 					continue;
@@ -263,13 +263,13 @@
 		if (ch != '\n') {
 			if (autostop) {
 				if (output)
-					(void)putchar(sep);
+					putchar(sep);
 				for (; (ch = *p) != '\n'; ++p)
-					(void)putchar(ch);
+					putchar(ch);
 			} else
 				for (; (ch = *p) != '\n'; ++p);
 		}
-		(void)putchar('\n');
+		putchar('\n');
 	}
 	if (mlbuf != NULL)
 		free(mlbuf);
@@ -278,7 +278,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n%s\n",
 		"usage: cut -b list [-n] [file ...]",
 		"       cut -c list [file ...]",
 		"       cut -f list [-s] [-d delim] [file ...]");
Index: doscmd/int14.c
===================================================================
RCS file: /cvs/src/usr.bin/doscmd/int14.c,v
retrieving revision 1.2
diff -u -u -r1.2 int14.c
--- doscmd/int14.c	17 Jun 2003 04:29:26 -0000	1.2
+++ doscmd/int14.c	7 Nov 2004 20:02:14 -0000
@@ -339,7 +339,7 @@
     if (cdsp->fd > 0) {
 	debug(D_PORT, "Re-initialize serial port com%d\n", port);
 	_RegisterIO(cdsp->fd, 0, 0, 0);
-	(void)close(cdsp->fd);
+	close(cdsp->fd);
     } else {
 	debug(D_PORT, "Initialize serial port com%d\n", port);
     }
Index: doscmd/tty.c
===================================================================
RCS file: /cvs/src/usr.bin/doscmd/tty.c,v
retrieving revision 1.6
diff -u -u -r1.6 tty.c
--- doscmd/tty.c	26 Jan 2004 18:16:18 -0000	1.6
+++ doscmd/tty.c	7 Nov 2004 20:02:14 -0000
@@ -2207,7 +2207,7 @@
 
     if ((fd = open("vram", O_WRONLY | O_CREAT, 0644)) == -1)
 	err(1, "Can't open vram file");
-    (void)write(fd, (void *)vram, 256 * 1024);
+    write(fd, (void *)vram, 256 * 1024);
 
     return;
 }
Index: du/du.c
===================================================================
RCS file: /cvs/src/usr.bin/du/du.c,v
retrieving revision 1.6
diff -u -u -r1.6 du.c
--- du/du.c	4 Jul 2004 10:34:47 -0000	1.6
+++ du/du.c	7 Nov 2004 20:02:14 -0000
@@ -220,7 +220,7 @@
 		argv[1] = NULL;
 	}
 
-	(void) getbsize(&notused, &blocksize);
+	getbsize(&notused, &blocksize);
 	blocksize /= 512;
 
 	rval = 0;
@@ -243,10 +243,10 @@
 				
 				if (p->fts_level <= depth) {
 					if (hflag) {
-						(void) prthumanval(howmany(p->fts_number, blocksize));
-						(void) printf("\t%s\n", p->fts_path);
+						prthumanval(howmany(p->fts_number, blocksize));
+						printf("\t%s\n", p->fts_path);
 					} else {
-					(void) printf("%ld\t%s\n",
+					printf("%ld\t%s\n",
 					    howmany(p->fts_number, blocksize),
 					    p->fts_path);
 					}
@@ -269,11 +269,11 @@
 				
 				if (listall || p->fts_level == 0) {
 					if (hflag) {
-						(void) prthumanval(howmany(p->fts_statp->st_blocks,
+						prthumanval(howmany(p->fts_statp->st_blocks,
 							blocksize));
-						(void) printf("\t%s\n", p->fts_path);
+						printf("\t%s\n", p->fts_path);
 					} else {
-						(void) printf("%qd\t%s\n",
+						printf("%qd\t%s\n",
 							howmany(p->fts_statp->st_blocks, blocksize),
 							p->fts_path);
 					}
@@ -289,10 +289,10 @@
 
 	if (cflag) {
 		if (hflag) {
-			(void) prthumanval(howmany(savednumber, blocksize));
-			(void) printf("\ttotal\n");
+			prthumanval(howmany(savednumber, blocksize));
+			printf("\ttotal\n");
 		} else {
-			(void) printf("%ld\ttotal\n", howmany(savednumber, blocksize));
+			printf("%ld\ttotal\n", howmany(savednumber, blocksize));
 		}
 	}
 
@@ -469,17 +469,17 @@
 	unit = unit_adjust(&bytes);
 
 	if (bytes == 0)
-		(void)printf("  0B");
+		printf("  0B");
 	else if (bytes > 10)
-		(void)printf("%3.0f%c", bytes, "BKMGTPE"[unit]);
+		printf("%3.0f%c", bytes, "BKMGTPE"[unit]);
 	else
-		(void)printf("%3.1f%c", bytes, "BKMGTPE"[unit]);
+		printf("%3.1f%c", bytes, "BKMGTPE"[unit]);
 }
 
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 		"usage: du [-H | -L | -P] [-a | -s | -d depth] [-c] [-h | -k] [-x] [-I mask] [file ...]\n");
 	exit(EX_USAGE);
 }
Index: env/env.c
===================================================================
RCS file: /cvs/src/usr.bin/env/env.c,v
retrieving revision 1.3
diff -u -u -r1.3 env.c
--- env/env.c	4 Oct 2003 20:36:43 -0000	1.3
+++ env/env.c	7 Nov 2004 20:02:14 -0000
@@ -66,20 +66,20 @@
 			usage();
 		}
 	for (argv += optind; *argv && (p = strchr(*argv, '=')); ++argv)
-		(void)setenv(*argv, ++p, 1);
+		setenv(*argv, ++p, 1);
 	if (*argv) {
 		execvp(*argv, argv);
 		err(errno == ENOENT ? 127 : 126, "%s", *argv);
 	}
 	for (ep = environ; *ep; ep++)
-		(void)printf("%s\n", *ep);
+		printf("%s\n", *ep);
 	exit(0);
 }
 
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: env [-] [-i] [name=value ...] [utility [argument ...]]\n");
 	exit(1);
 }
Index: expand/expand.c
===================================================================
RCS file: /cvs/src/usr.bin/expand/expand.c,v
retrieving revision 1.3
diff -u -u -r1.3 expand.c
--- expand/expand.c	4 Oct 2003 20:36:44 -0000	1.3
+++ expand/expand.c	7 Nov 2004 20:02:14 -0000
@@ -175,6 +175,6 @@
 static void
 usage(void)
 {
-	(void)fprintf (stderr, "usage: expand [-t tablist] [file ...]\n");
+	fprintf (stderr, "usage: expand [-t tablist] [file ...]\n");
 	exit(1);
 }
Index: find/find.c
===================================================================
RCS file: /cvs/src/usr.bin/find/find.c,v
retrieving revision 1.3
diff -u -u -r1.3 find.c
--- find/find.c	4 Oct 2003 20:36:44 -0000	1.3
+++ find/find.c	7 Nov 2004 20:02:14 -0000
@@ -195,7 +195,7 @@
 		case FTS_DNR:
 		case FTS_ERR:
 		case FTS_NS:
-			(void)fflush(stdout);
+			fflush(stdout);
 			warnx("%s: %s",
 			    entry->fts_path, strerror(entry->fts_errno));
 			rval = 1;
@@ -207,7 +207,7 @@
 		}
 #define	BADCH	" \t\n\\'\""
 		if (isxargs && strpbrk(entry->fts_path, BADCH)) {
-			(void)fflush(stdout);
+			fflush(stdout);
 			warnx("%s: illegal path", entry->fts_path);
 			rval = 1;
 			continue;
Index: find/function.c
===================================================================
RCS file: /cvs/src/usr.bin/find/function.c,v
retrieving revision 1.3
diff -u -u -r1.3 function.c
--- find/function.c	4 Oct 2003 20:36:44 -0000	1.3
+++ find/function.c	7 Nov 2004 20:02:14 -0000
@@ -1055,7 +1055,7 @@
 int
 f_print(PLAN *plan, FTSENT *entry)
 {
-	(void)puts(entry->fts_path);
+	puts(entry->fts_path);
 	return 1;
 }
 
Index: find/ls.c
===================================================================
RCS file: /cvs/src/usr.bin/find/ls.c,v
retrieving revision 1.3
diff -u -u -r1.3 ls.c
--- find/ls.c	4 Oct 2003 20:36:44 -0000	1.3
+++ find/ls.c	7 Nov 2004 20:02:14 -0000
@@ -62,22 +62,22 @@
 {
 	char modep[15], *user_from_uid(), *group_from_gid();
 
-	(void)printf("%6lu %4qd ", (u_long) sb->st_ino, sb->st_blocks);
-	(void)strmode(sb->st_mode, modep);
-	(void)printf("%s %3u %-*s %-*s ", modep, sb->st_nlink, UT_NAMESIZE,
+	printf("%6lu %4qd ", (u_long) sb->st_ino, sb->st_blocks);
+	strmode(sb->st_mode, modep);
+	printf("%s %3u %-*s %-*s ", modep, sb->st_nlink, UT_NAMESIZE,
 	    user_from_uid(sb->st_uid, 0), UT_NAMESIZE,
 	    group_from_gid(sb->st_gid, 0));
 
 	if (S_ISCHR(sb->st_mode) || S_ISBLK(sb->st_mode))
-		(void)printf("%3d, %3d ", major(sb->st_rdev),
+		printf("%3d, %3d ", major(sb->st_rdev),
 		    minor(sb->st_rdev));
 	else
-		(void)printf("%8qd ", sb->st_size);
+		printf("%8qd ", sb->st_size);
 	printtime(sb->st_mtime);
-	(void)printf("%s", name);
+	printf("%s", name);
 	if (S_ISLNK(sb->st_mode))
 		printlink(accpath);
-	(void)putchar('\n');
+	putchar('\n');
 }
 
 static void
@@ -115,5 +115,5 @@
 		return;
 	}
 	path[lnklen] = '\0';
-	(void)printf(" -> %s", path);
+	printf(" -> %s", path);
 }
Index: find/main.c
===================================================================
RCS file: /cvs/src/usr.bin/find/main.c,v
retrieving revision 1.3
diff -u -u -r1.3 main.c
--- find/main.c	4 Oct 2003 20:36:44 -0000	1.3
+++ find/main.c	7 Nov 2004 20:02:14 -0000
@@ -74,9 +74,9 @@
 	register char **p, **start;
 	int Hflag, Lflag, ch;
 
-	(void)setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
-	(void)time(&now);	/* initialize the time-of-day */
+	time(&now);	/* initialize the time-of-day */
 
 	p = start = argv;
 	Hflag = Lflag = 0;
@@ -153,7 +153,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "usage: find [-H | -L | -P] [-EXdsx] [-f file] [file ...] [expression]\n");
 	exit(1);
 }
Index: find/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/find/misc.c,v
retrieving revision 1.3
diff -u -u -r1.3 misc.c
--- find/misc.c	4 Oct 2003 20:36:44 -0000	1.3
+++ find/misc.c	7 Nov 2004 20:02:14 -0000
@@ -84,11 +84,11 @@
 {
 	int ch, first, nl;
 
-	(void)fprintf(stderr, "\"%s", *argv);
+	fprintf(stderr, "\"%s", *argv);
 	while (*++argv)
-		(void)fprintf(stderr, " %s", *argv);
-	(void)fprintf(stderr, "\"? ");
-	(void)fflush(stderr);
+		fprintf(stderr, " %s", *argv);
+	fprintf(stderr, "\"? ");
+	fflush(stderr);
 
 	first = ch = getchar();
 	for (nl = 0;;) {
@@ -102,8 +102,8 @@
 	}
 
 	if (!nl) {
-		(void)fprintf(stderr, "\n");
-		(void)fflush(stderr);
+		fprintf(stderr, "\n");
+		fflush(stderr);
 	}
         return (first == 'y');
 }
Index: finger/finger.c
===================================================================
RCS file: /cvs/src/usr.bin/finger/finger.c,v
retrieving revision 1.5
diff -u -u -r1.5 finger.c
--- finger/finger.c	3 Sep 2004 19:13:23 -0000	1.5
+++ finger/finger.c	7 Nov 2004 20:02:14 -0000
@@ -166,7 +166,7 @@
 		}
 	}
 
-	(void) setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 				/* remove this line to get remote host */
 	oflag = 1;		/* default to old "office" behavior */
Index: finger/lprint.c
===================================================================
RCS file: /cvs/src/usr.bin/finger/lprint.c,v
retrieving revision 1.4
diff -u -u -r1.4 lprint.c
--- finger/lprint.c	3 Sep 2004 19:13:23 -0000	1.4
+++ finger/lprint.c	7 Nov 2004 20:02:14 -0000
@@ -88,7 +88,7 @@
 			    _PATH_FORWARD, "Mail forwarded to");
 			show_text(pn->dir, _PATH_PROJECT, "Project");
 			if (!show_text(pn->dir, _PATH_PLAN, "Plan"))
-				(void)printf("No Plan.\n");
+				printf("No Plan.\n");
 			show_text(pn->dir,
 			    _PATH_PUBKEY, "Public key");
 		}
@@ -221,8 +221,8 @@
 		}
 		if (*w->host) {
 			if (LINE_LEN < (cpr + 6 + strlen(w->host)))
-				(void)printf("\n   ");
-			(void)printf(" from %s", w->host);
+				printf("\n   ");
+			printf(" from %s", w->host);
 		}
 		putchar('\n');
 	}
@@ -300,7 +300,7 @@
 
 	lastc = '\0';
 
-	(void)snprintf(tbuf, sizeof(tbuf), "%s/%s", directory, file_name);
+	snprintf(tbuf, sizeof(tbuf), "%s/%s", directory, file_name);
 	if ((fd = open(tbuf, O_RDONLY)) < 0 || fstat(fd, &sb) ||
 	    sb.st_size == 0)
 		return(0);
@@ -309,7 +309,7 @@
 	if (sb.st_size <= LINE_LEN - strlen(header) - 5) {
 		nr = read(fd, tbuf, sizeof(tbuf));
 		if (nr <= 0) {
-			(void)close(fd);
+			close(fd);
 			return(0);
 		}
 		for (p = tbuf, cnt = nr; cnt--; ++p)
@@ -317,28 +317,28 @@
 				break;
 		if (cnt <= 1) {
 			if (*header != '\0')
-				(void)printf("%s: ", header);
+				printf("%s: ", header);
 			for (p = tbuf, cnt = nr; cnt--; ++p)
 				if (*p != '\r')
 					vputc(lastc = *p);
 			if (lastc != '\n')
-				(void)putchar('\n');
-			(void)close(fd);
+				putchar('\n');
+			close(fd);
 			return(1);
 		}
 		else
-			(void)lseek(fd, 0L, SEEK_SET);
+			lseek(fd, 0L, SEEK_SET);
 	}
 	if ((fp = fdopen(fd, "r")) == NULL)
 		return(0);
 	if (*header != '\0')
-		(void)printf("%s:\n", header);
+		printf("%s:\n", header);
 	while ((ch = getc(fp)) != EOF)
 		if (ch != '\r')
 			vputc(lastc = ch);
 	if (lastc != '\n')
-		(void)putchar('\n');
-	(void)fclose(fp);
+		putchar('\n');
+	fclose(fp);
 	return(1);
 }
 
